<?php
/**
 * WordPress.com-specific functions
 *
 * @package Fiore
 * @since Fiore 1.0
 */

global $themecolors;

/**
 * Set a default theme color array for WP.com.
 *
 * @global array $themecolors
 * @since fiore 1.0
 */
$themecolors = array(
	'bg'     => 'f4eedf',
	'border' => '666666',
	'text'   => '666666',
	'link'   => 'e47f53',
	'url'    => 'e47f53',
);


/*
 * De-queue Google fonts if custom fonts are being used instead
 */

function fiore_dequeue_fonts() {
	if ( class_exists( 'TypekitData' ) ) {
		if ( TypekitData::get( 'upgraded' ) ) {
			$customfonts = TypekitData::get( 'families' );
				if ( ! $customfonts )
					return;

				$site_title = $customfonts['site-title'];
				$headings = $customfonts['headings'];
				$body_text = $customfonts['body-text'];

				if ( $site_title['id'] && $headings['id'] && $body_text['id'] ) {
					wp_dequeue_style( 'fiore-rufina' );
				}
		}
	}
}

add_action( 'wp_enqueue_scripts', 'fiore_dequeue_fonts' );